Subject: bug#44629: 28.0.50; Eglot noisy with gfm-view-mode and view-read-only

From: João Távora <[email-masked]>
Date: Sun, 15 Nov 2020 23:14:19 +0000

On Sun, Nov 15, 2020 at 9:52 PM Basil L. Contovounesios <[email-masked]>
wrote:

> The selectivity is that I want the "View mode: ..." message to appear
> most of the time, except not when Eglot is doing background processing.

Exactly.  Or any type of background processing, for that matter.
So, if this is a principle, the check for `this-command`, as I proposed
it in a patch,should suffice

This doesn't change the fact that jsonrpc.el's use of `read-only-mode`
should probably be replaced by a simple setting of buffer-read-only,
but it could avoid the change to eglot when it calls `gfm-view-mode`.
Though maybe that change could be there, too.

João